package com.diaoyun.zion.chinafrica.dao;

import com.diaoyun.zion.chinafrica.entity.*;
import com.diaoyun.zion.master.dao.BaseDao;

import java.util.Date;
import java.util.List;

/**
 * Dao
 *
 * @author G
 * @date 2019-08-14 09:11:48
 */
public interface TbCfOrderDao extends BaseDao<TbCfOrderEntity> {

    /**
     * 获取用户订单数据
     * @param userId
     * @param orderStatus OrderStatusEnum
     * @return
     */
    List<TbCfOrderEntity> getUserOrderList(String userId,Integer orderStatus);

    /**
     * 获取订单内商品
     * @param orderId
     * @return
     */
    List<TbCfItemDetailEntity> getOrderItemList(String orderId);

    List<ItemEntity> getItemList(String orderId);
    /**
     * 获取付款订单
     * @param beginDate
     * @param endDate
     * @return
     */
    List<TbCfOrderEntity> getOrderListByTime(Date beginDate, Date endDate);

    /**
     * 获取某段时间已发货订单数据
     * @param beginDate
     * @param endDate
     * @return
     */
    List<TbCfItemShippedEntity> getDeliveryList(Date beginDate, Date endDate);

    OrderEntity getOrder(String orderId);
    TbCfCouponEntity queryCouponPrice(String iss_coupon_id);
}
